//
//  WidgetTool.swift
//  DevDemo
//
//  Created by ak on 2022/6/10.
//  Copyright © 2022 Gexin Interactive (Beijing) Network Technology Co.,LTD. All rights reserved.
//

import Foundation
import WidgetKit
 

public class WidgetTool: NSObject {

    @objc public class func reloadAllWidgets() {

        if #available(iOS 14.0, *) {
#if arch(arm64) || arch(i386) || arch(x86_64)
            WidgetCenter.shared.reloadAllTimelines()
#endif
        } else {
            // Fallback on earlier versions
        }

    }
}
